Download it now!
Bug 78786 - UI: Filter with dates doesn't populate right, duplicate entries with different format.
Summary: UI: Filter with dates doesn't populate right, duplicate entries with differen...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha1
Hardware: Other Windows (All)
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-05-16 14:38 UTC by m.a.riosv
Modified: 2014-05-28 23:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample file to test. (118.10 KB, application/xml)
2014-05-16 14:38 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2014-05-16 14:38:50 UTC
Created attachment 99161 [details]
Sample file to test.

Win7x64Ultimate
Version: 4.2.5.0.0+ Build ID: da62ab5783e548c5785b3950c03d078b1f3e849d
   TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-05-16_08:13:28
Version: 4.3.0.0.alpha1+ Build ID: 48eccfb812284f43ba24c3be3903537ce954944d
   TinderBox: Win-x86@39, Branch:master, Time: 2014-05-16_00:35:19

Selected version 4.3 because there is not option to select 4.2.5

UI: English USA; Locale: English USA.

Opening attached file, that include an screen-shot of the issue.

Selecting in A1 the filter, there are duplicated dates with different format.


Last working:
Version: 4.2.4.2 Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8


Maybe in relation with https://bugs.freedesktop.org/show_bug.cgi?id=73565
Comment 1 Jorendc 2014-05-17 09:53:50 UTC
Thanks Miguel :-)!

Repoducible, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: 48eccfb812284f43ba24c3be3903537ce954944d
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-16_00:35:19

Kind regards,
Joren
Comment 2 Kohei Yoshida 2014-05-18 16:41:52 UTC
I hope we can add a 4.2.5 entry soon.  I don't search for 4.3 bugs just yet.
Comment 3 Commit Notification 2014-05-18 16:45:45 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=836328d6473ae1a0c472c7dbf8262641c74843cb

fdo#78786: No need to insert entries here for date members.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Kohei Yoshida 2014-05-18 16:47:38 UTC
4.2 backport: https://gerrit.libreoffice.org/9398
Comment 5 Commit Notification 2014-05-18 19:02:11 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f5e3380a699f7eff866178cd2c2a839b42e16d19&h=libreoffice-4-2

fdo#78786: No need to insert entries here for date members.


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Kohei Yoshida 2014-05-18 20:47:44 UTC
Fixed.
Comment 7 m.a.riosv 2014-05-28 23:39:38 UTC
Thanks Kohei,
verified:
Win7x64
Version: 4.2.5.1 Build ID: 881bb88abfe2992c6cede97c23e64a9885de87de
Version: 4.2.6.0.0+ Win-x86@42, Branch:libreoffice-4-2, Time: 2014-05-28_10:43:01
Version: 4.3.0.0.beta1 Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f
Version: 4.4.0.0.alpha0+ Win-x86@39, Branch:master, Time: 2014-05-26_01:36:09